> ## Documentation Index
> Fetch the complete documentation index at: https://nusaai-edit.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List available models

> Retrieve a list of all available models and their capabilities.



## OpenAPI

````yaml get /models
openapi: 3.0.3
info:
  title: Neosantara AI API
  description: API for Neosantara AI services.
  version: 1.0.0
servers:
  - url: https://api.neosantara.xyz/v1
    description: API Base URL
security:
  - apiKey: []
tags:
  - name: response
  - name: chat
  - name: completions
  - name: embeddings
  - name: models
  - name: moderations
  - name: reasoning
  - name: authentication
  - name: images
paths:
  /models:
    get:
      tags:
        - models
      summary: List available models
      description: Retrieve a list of all available models and their capabilities.
      operationId: listModels
      responses:
        '200':
          description: List of available models
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelsListResponse'
              examples:
                success_response:
                  summary: Successful models list response
                  value:
                    object: list
                    data:
                      - id: nusantara-base
                        object: model
                        created: 1717950000
                        owned_by: noesantara.xyz
                        permission: []
                        root: nusantara-base
                        parent: null
                        description: >-
                          Model dasar untuk tugas umum dengan keseimbangan
                          kinerja dan kecepatan
                        capabilities:
                          - function_calling
                          - json_mode
                      - id: vision-emas-2045
                        object: model
                        created: 1717950000
                        owned_by: noesantara.xyz
                        permission: []
                        root: vision-emas-2045
                        parent: null
                        description: >-
                          Model visi canggih untuk analisis gambar KTP, struk,
                          dan tugas visual lainnya
                        capabilities:
                          - vision
                          - json_mode
        '401':
          $ref: '#/components/responses/AuthError'
components:
  schemas:
    ModelsListResponse:
      type: object
      properties:
        object:
          type: string
          example: list
        data:
          type: array
          items:
            $ref: '#/components/schemas/ModelInfo'
        _metadata:
          $ref: '#/components/schemas/Metadata'
    ModelInfo:
      type: object
      properties:
        id:
          type: string
        object:
          type: string
          example: model
        created:
          type: integer
        owned_by:
          type: string
          example: noesantara.xyz
        permission:
          type: array
          items:
            type: object
            x-stainless-empty-object: true
        root:
          type: string
        parent:
          type: string
          nullable: true
        description:
          type: string
        capabilities:
          type: array
          items:
            type: string
        max_tokens:
          type: integer
        pricing:
          $ref: '#/components/schemas/ModelPricing'
    Metadata:
      type: object
      properties:
        creator:
          type: string
          example: noesantara.xyz
        status:
          type: boolean
        timestamp:
          type: string
          format: date-time
        request_id:
          type: string
          nullable: true
        processing_time:
          type: number
          nullable: true
        tier:
          type: string
          nullable: true
        user_total_usage:
          $ref: '#/components/schemas/UsageInfo'
          nullable: true
    AuthError:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
            type:
              type: string
              example: auth_error
            code:
              type: string
              enum:
                - missing_api_key
                - invalid_api_key
                - token_expired
                - session_expired
                - invalid_token
              example: invalid_api_key
            details:
              type: object
              nullable: true
              additionalProperties: true
          required:
            - message
            - type
            - code
        info_metadata:
          $ref: '#/components/schemas/Metadata'
    ModelPricing:
      type: object
      properties:
        input_tokens:
          type: number
        output_tokens:
          type: number
        currency:
          type: string
          example: USD
    UsageInfo:
      type: object
      properties:
        used:
          type: integer
        limit:
          type: integer
        remaining:
          type: integer
        reset_at:
          type: string
          format: date-time
      required:
        - used
        - limit
        - remaining
        - reset_at
  responses:
    AuthError:
      description: Authentication failed
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/AuthError'
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: API_KEY
      description: Your NeosantaraAI API Key.

````